Subject: Re: [PATCH] t5570: use explicit push refspec

From: Clemens Buchacher <[email-masked]>
Date: Sun, 15 Apr 2012 02:11:33 +0200

On Sat, Apr 14, 2012 at 04:40:01PM -0700, Junio C Hamano wrote:
> Clemens Buchacher <[email-masked]> writes:
> 
> > The default mode for push without arguments will change. Some warnings
> > are about to be enabled for such use, which causes some t5570 tests to
> > fail because they do not expect this output. Fix this by passing an
> > explicit refspec to git push.
> 
> I wonder if a better fix is to configure "push.default = matching" in the
> test repository.  Otherwise wouldn't the result of the push change once
> the default changes?

The push.default option matters only if a refspec is not specified. By
adding a refspec, push.default should not matter any more. Unless that
is going to change as well?